IF EXISTS (SELECT * FROM sysobjects WHERE Name='CD_Accesos_Emp_Sedes_Sectores' AND Xtype='U')
BEGIN
	DROP TABLE CD_Accesos_Emp_Sedes_Sectores
END

IF EXISTS (SELECT * FROM sysobjects WHERE Name='CD_Accesos_Empresas_Sedes_Sectores' AND Xtype='U')
BEGIN
	DROP TABLE CD_Accesos_Empresas_Sedes_Sectores
END



IF NOT EXISTS (SELECT * FROM sysobjects WHERE Name='CD_Accesos_Emp_Sedes_Sec' AND Xtype='U')
BEGIN
	CREATE TABLE CD_Accesos_Emp_Sedes_Sec
	(Id_Acceso					SMALLINT NOT NULL,
	Id_Sector					SMALLINT NOT NULL,
	Minutos_Gracia_Prev			SMALLINT,
	Minutos_Gracia_Post			SMALLINT)
	
	ALTER TABLE CD_Accesos_Emp_Sedes_Sec ADD CONSTRAINT PK_CDAESS_PorId PRIMARY KEY (Id_Acceso, Id_Sector)
	
	ALTER TABLE CD_Accesos_Emp_Sedes_Sec ADD CONSTRAINT FK_CDAESS_Emp_Sedes_Sec FOREIGN KEY (Id_Sector) REFERENCES Empresas_Sedes_Sectores (Id_Sector)
END
GO